package arcyd.com.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import arcyd.com.model.EstadoReserva.EstadoReserva;
import arcyd.com.service.EstadoReservaService;
import arcyd.com.util.ExtJSReturn;


/**
 * Controller - Spring
 * 
 * @author Eva Maria Gonzalez

 */
@Controller
public class EstadoReservaController  {

	private EstadoReservaService estadoReservaService;
	
	@RequestMapping(value="/estadoReserva/view.action")
	public @ResponseBody Map<String,? extends Object> view(@RequestParam int start, @RequestParam int limit) throws Exception {

		try{

			List<EstadoReserva> estadoReservaes = estadoReservaService.getEstadoReservaList(start,limit);
			

			Map<String,Object> modelMap = new HashMap<String,Object>(3);
			modelMap.put("total", estadoReservaes.size());
			modelMap.put("data", estadoReservaes);
			modelMap.put("success", true);
			
			return modelMap;

		} catch (Exception e) {
			e.printStackTrace();
			return ExtJSReturn.mapError("Error obteniendo los estados de las reservas de la base de datos.");
		}
	}
	

	@Autowired
	public void setEstadoReservaService(EstadoReservaService estadoReservaService) {
		this.estadoReservaService = estadoReservaService;
	}

}
