package arcyd.com.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import arcyd.com.model.Localizacion.Localizacion;
import arcyd.com.service.LocalizacionService;
import arcyd.com.util.ExtJSReturn;


/**
 * Controller - Spring
 * 
 * @author Eva Maria Gonzalez

 */
@Controller
public class LocalizacionController  {

	private LocalizacionService localizacionService;
	
	@RequestMapping(value="/localizacion/view.action")
	public @ResponseBody Map<String,? extends Object> view(@RequestParam int start, @RequestParam int limit) throws Exception {

		try{

			List<Localizacion> localizaciones = localizacionService.getLocalizacionList(start,limit);
			

			Map<String,Object> modelMap = new HashMap<String,Object>(3);
			modelMap.put("total", localizaciones.size());
			modelMap.put("data", localizaciones);
			modelMap.put("success", true);
			
			return modelMap;

		} catch (Exception e) {
			e.printStackTrace();
			return ExtJSReturn.mapError("Error obteniendo la lista de localizaciones de la base de datos.");
		}
	}
	

	@Autowired
	public void setLocalizacionService(LocalizacionService localizacionService) {
		this.localizacionService = localizacionService;
	}

}
