package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import arcyd.com.model.Actividad.Actividad;


/**
 * HorarioActividad DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class ActividadDAO {


	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	
	
	/**
	 * Add actividad
	 * @param HorarioActividad actividad*/
	public Actividad addActividad(Actividad actividad) {
		sessionFactory.getCurrentSession().save(actividad);
		return actividad;
	}


	/**
	 * Update actividad
	 * @param HorarioActividad actividad*/
	public Actividad updateActividad(Actividad actividad) {
		sessionFactory.getCurrentSession().update(actividad);
		return actividad;
		
	}
	/**
	 * Delete actividad 
	 * @param HorarioActividad actividad
	 */
	public void deleteActividad(int id) {
		Object record = sessionFactory.getCurrentSession().load(Actividad.class, id);
		sessionFactory.getCurrentSession().delete(record);
		
	}


	/**
	 * Get Actividades
	 * return List Actividades*/
	@SuppressWarnings("unchecked")
	public List<Actividad> getActividades(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Actividad.class);
		return criteria.list();
	}
	
	public Actividad getActividadById(int idActividad) {
		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Actividad.class).
				add(Restrictions.eq( "id", idActividad ));
		@SuppressWarnings("unchecked")
		List<Actividad> actividadList = criteria.list();
		return actividadList.get(0);
	}
	/**
	 * Obtiene el nmero total de actividades de la base de datos
	 * @return
	 */
	public int getTotalActividades(){
		return 0;
		//return DataAccessUtils.intResult(sessionFactory.getCurrentSession().find("SELECT COUNT(*) FROM Actividad"));
	}


	

	
	

}
