package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SQLQuery;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.support.DataAccessUtils;
import org.springframework.stereotype.Repository;

import arcyd.com.model.EstadoReserva.EstadoReserva;


/**
 * Estado Reserva DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class EstadoReservaDAO {

	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	
	
	

	/**
	 * Get EstadosReserva
	 * return List estados reservas*/
	@SuppressWarnings("unchecked")
	public List<EstadoReserva> getEstadosReserva(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(EstadoReserva.class);

		return criteria.list();
	}
	
	/**
	 * Obtiene el nmero total de EstadoReserva de la base de datos
	 * @return
	 */
	public int getTotalEstadosReserva(){
		SQLQuery query = sessionFactory.getCurrentSession().createSQLQuery("SELECT COUNT(*) FROM EstadoReserva");
		return DataAccessUtils.intResult(query.list());
	}

	
	

}
