
package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import arcyd.com.model.HorarioActividad.HorarioActividad;


/**
 * Actividad DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class HorarioActividadDAO {

	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	
	
	/**
	 * Add horarioActividad
	 * @param ReservaPista horarioActividad*/
	public HorarioActividad addHorarioActividad(HorarioActividad horarioActividad) {
		sessionFactory.getCurrentSession().save(horarioActividad);
		return horarioActividad;
	}

	public List<HorarioActividad> getHorarioByActividadId(int idActividad) {
		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(HorarioActividad.class).
				add(Restrictions.eq( "actividad.id", idActividad ));
		@SuppressWarnings("unchecked")
		List<HorarioActividad> horarioActividadList = criteria.list();
		return horarioActividadList;
	}

	/**
	 * Update horarioActividad
	 * @param ReservaPista horarioActividad*/
	public HorarioActividad updateHorarioActividad(HorarioActividad horarioActividad) {
		sessionFactory.getCurrentSession().save(horarioActividad);
		return horarioActividad;
		
	}
	/**
	 * Delete horarioActividad 
	 * @param ReservaPista horarioActividad
	 */
	public void deleteHorarioActividad(int id) {
		Object record = sessionFactory.getCurrentSession().load(HorarioActividad.class, id);
		sessionFactory.getCurrentSession().delete(record);
		
	}
	public void deleteHorariosByIdActividad(int actividadId) {
		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(HorarioActividad.class).
				add(Restrictions.eq( "actividad.id", actividadId ));
		@SuppressWarnings("unchecked")
		List<HorarioActividad> horarioActividadList = criteria.list();
		if(horarioActividadList!=null && horarioActividadList.size()>0){
			for(HorarioActividad horario:horarioActividadList){
				Object record = sessionFactory.getCurrentSession().load(HorarioActividad.class, horario.getId());
				sessionFactory.getCurrentSession().delete(record);
			}
		}
		
	}

	/**
	 * Get HorarioActividades
	 * return List HorarioActividades*/
	@SuppressWarnings("unchecked")
	public List<HorarioActividad> getHorarioActividades(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(HorarioActividad.class);
		return criteria.list();
	}
	
	/**
	 * Obtiene el nmero total de horarioActividades de la base de datos
	 * @return
	 */
	public int getTotalHorarioActividades(){
		return 0;
		//return DataAccessUtils.intResult(sessionFactory.getCurrentSession().find("SELECT COUNT(*) FROM HorarioActividad"));
	}
}
