package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SQLQuery;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.support.DataAccessUtils;
import org.springframework.stereotype.Repository;

import arcyd.com.model.Localizacion.Localizacion;


/**
 * Socio DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class LocalizacionDAO {

	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	
	
	

	/**
	 * Get Localizaciones
	 * return List noticias*/
	@SuppressWarnings("unchecked")
	public List<Localizacion> getLocalizaciones(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Localizacion.class);

		return criteria.list();
	}
	
	/**
	 * Obtiene el nmero total de Localizacion de la base de datos
	 * @return
	 */
	public int getTotalLocalizaciones(){
		SQLQuery query = sessionFactory.getCurrentSession().createSQLQuery("SELECT COUNT(*) FROM Localizacion");
		return DataAccessUtils.intResult(query.list());
	}

	
	

}
