package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SQLQuery;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.support.DataAccessUtils;
import org.springframework.stereotype.Repository;

import arcyd.com.model.Noticia.Noticia;


/**
 * Socio DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class NoticiaDAO {

	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	/**
	 * Get noticia
	 * @param Noticia noticia*/
	public Noticia getNoticiaById(int idNoticia) {
		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Noticia.class).
				add(Restrictions.eq( "id", idNoticia ));
		@SuppressWarnings("unchecked")
		List<Noticia> noticiaList = criteria.list();
		return noticiaList.get(0);
	}
	
	/**
	 * Add noticia
	 * @param Noticia noticia*/
	public Noticia addNoticia(Noticia noticia) {
		sessionFactory.getCurrentSession().save(noticia);
		return noticia;
	}


	/**
	 * Delete noticia 
	 * @param Noticia noticia
	 */
	public void deleteNoticia(int id) {
		Object record = sessionFactory.getCurrentSession().load(Noticia.class, id);
		sessionFactory.getCurrentSession().delete(record);
		
	}

	/**
	 * Update noticia
	 * @param Noticia noticia*/
	public Noticia updateNoticia(Noticia noticia) {
		sessionFactory.getCurrentSession().update(noticia);
		return noticia;
		
	}

	/**
	 * Get Noticias
	 * return List noticias*/
	@SuppressWarnings("unchecked")
	public List<Noticia> getNoticias(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Noticia.class);

		return criteria.list();
	}
	
	/**
	 * Obtiene el nmero total de Noticia de la base de datos
	 * @return
	 */
	public int getTotalNoticias(){
		SQLQuery query = sessionFactory.getCurrentSession().createSQLQuery("SELECT COUNT(*) FROM Noticia");
		return DataAccessUtils.intResult(query.list());
	}

	
	

}
