package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import arcyd.com.model.Pista.Pista;


/**
 * Pista DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class PistaDAO {

	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	
	
	/**
	 * Add pista
	 * @param Pista pista*/
	public Pista addPista(Pista pista) {
		 sessionFactory.getCurrentSession().save(pista);
		return pista;
	}


	/**
	 * Update pista
	 * @param Pista pista*/
	public Pista updatePista(Pista pista) {
		sessionFactory.getCurrentSession().update(pista);
		return pista;
		
	}
	/**
	 * Delete pista 
	 * @param Pista pista
	 */
	public void deletePista(int id) {
		Object record = sessionFactory.getCurrentSession().load(Pista.class, id);
		sessionFactory.getCurrentSession().delete(record);
		
	}


	/**
	 * Get Pistas
	 * return List Pistas*/
	@SuppressWarnings("unchecked")
	public List<Pista> getPistas(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Pista.class);
		return criteria.list();
	}
	
	/**
	 * Obtiene el nmero total de pistas de la base de datos
	 * @return
	 */
	public int getTotalPistas(){
		return 0;
		//return DataAccessUtils.intResult(sessionFactory.getCurrentSession().find("SELECT COUNT(*) FROM Pista"));
	}


	public Pista getPistaById(int idPista) {
		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Pista.class).
				add(Restrictions.eq( "id", idPista ));
		@SuppressWarnings("unchecked")
		List<Pista> pistaList = criteria.list();
		return pistaList.get(0);
	}
	
}
