package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import arcyd.com.model.Profesor.Profesor;


/**
 * Profesor DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class ProfesorDAO {

	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	
	
	/**
	 * Add profesor
	 * @param Actividad profesor*/
	public Profesor addProfesor(Profesor profesor) {
		sessionFactory.getCurrentSession().save(profesor);
		return profesor;
	}


	/**
	 * Update profesor
	 * @param Actividad profesor*/
	public Profesor updateProfesor(Profesor profesor) {
		sessionFactory.getCurrentSession().save(profesor);
		return profesor;
		
	}
	/**
	 * Delete profesor 
	 * @param Actividad profesor
	 */
	public void deleteProfesor(int id) {
		Object record = sessionFactory.getCurrentSession().load(Profesor.class, id);
		sessionFactory.getCurrentSession().delete(record);
		
	}


	/**
	 * Get Profesores
	 * return List Profesores*/
	@SuppressWarnings("unchecked")
	public List<Profesor> getProfesores(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Profesor.class);
		return criteria.list();
	}
	
	/**
	 * Obtiene el nmero total de profesors de la base de datos
	 * @return
	 */
	public int getTotalProfesores(){
		return 0;
		//return DataAccessUtils.intResult(sessionFactory.getCurrentSession().find("SELECT COUNT(*) FROM Profesor"));
	}

	
	

}
