package arcyd.com.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Query;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import arcyd.com.model.Usuario.Usuario;
import arcyd.com.util.Credentials;


/**
 * Usuario DAO class.
 * 
 * @author Eva Mara Gonzlez
 * 
 */
@Repository
public class UsuarioDAO {

	private SessionFactory sessionFactory;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory)
	{
	this.sessionFactory = sessionFactory;
	 
	}
	
	
	/**
	 * Add usuario
	 * @param Actividad usuario*/
	public Usuario addUsuario(Usuario usuario) {
		sessionFactory.getCurrentSession().save(usuario);
		return usuario;
	}


	/**
	 * Update usuario
	 * @param Actividad usuario*/
	public Usuario updateUsuario(Usuario usuario) {
		sessionFactory.getCurrentSession().update(usuario);
		return usuario;
		
	}
	/**
	 * Delete usuario 
	 * @param Actividad usuario
	 */
	public void deleteUsuario(int id) {
		Object record = sessionFactory.getCurrentSession().load(Usuario.class, id);
		sessionFactory.getCurrentSession().delete(record);
	}

	/**
	 * Get Usuarios
	 * return List Usuarios*/
	@SuppressWarnings("unchecked")
	public Usuario getUsuario(Credentials credentials) {

		String queryString = "SELECT * FROM USUARIO WHERE numSocio LIKE '"+credentials.getLogin()
			+"' and password LIKE '"+credentials.getPassword()+"'";
		Query query = sessionFactory.getCurrentSession().createSQLQuery(queryString).addEntity(Usuario.class);;
		List <Usuario> usuarios = query.list();
		if(usuarios!= null && usuarios.size()>0){
		
			return (Usuario) usuarios.get(0);
		}
		 return null;
	}
	/**
	 * Get Usuario by num socio
	 * */
	@SuppressWarnings("unchecked")
	public Usuario getUsuario(String numSocio) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Usuario.class)
				 .add( Restrictions.like("numSocio", numSocio) );
		List<Usuario>usuarios = criteria.list();
		if(usuarios!=null && usuarios.size()>0) return usuarios.get(0);
		return null;
	}
	
	public Usuario getUsuarioById(int idUsuario) {
		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Usuario.class).
				add(Restrictions.eq( "id", idUsuario ));
		@SuppressWarnings("unchecked")
		List<Usuario> usuarioList = criteria.list();
		return usuarioList.get(0);
	}
	/**
	 * Get Usuarios
	 * return List Usuarios*/
	@SuppressWarnings("unchecked")
	public List<Usuario> getUsuarios(int start, int limit) {

		Criteria criteria = sessionFactory.getCurrentSession().createCriteria(Usuario.class);
		return criteria.list();
	}
	
	/**
	 * Obtiene el nmero total de usuarios de la base de datos
	 * @return
	 */
	public int getTotalUsuarios(){
		return 0;
		//return DataAccessUtils.intResult(sessionFactory.getCurrentSession().find("SELECT COUNT(*) FROM Usuario"));
	}

	
	

}
