package arcyd.com.model.Actividad;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import arcyd.com.model.Localizacion.Localizacion;
import arcyd.com.model.Profesor.Profesor;

@Entity
@Table(name = "ACTIVIDAD")
public class Actividad {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "IDACTIVIDAD", unique = true, nullable = false)
	public int id;
	@Column(name = "NOMBRE", unique = true, nullable = false)
	public String nombre;
	@Column(name = "DESCRIPCION", unique = true, nullable = false)
	public String descripcion;
	@OneToOne
	@JoinColumn(name="PROFESOR_IDPROFESOR")
	public Profesor profesor;
	@OneToOne
	@JoinColumn(name="LOCALIZACION_IDLOCALIZACION")
	public Localizacion localizacion;
	
	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return the nombre
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre the nombre to set
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	/**
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return descripcion;
	}
	/**
	 * @param descripcion the descripcion to set
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	/**
	 * @return the profesor
	 */
	public Profesor getProfesor() {
		return profesor;
	}
	/**
	 * @param profesor the profesor to set
	 */
	public void setProfesor(Profesor profesor) {
		this.profesor = profesor;
	}
	/**
	 * @return the localizacion
	 */
	public Localizacion getLocalizacion() {
		return localizacion;
	}
	/**
	 * @param localizacion the localizacion to set
	 */
	public void setLocalizacion(Localizacion localizacion) {
		this.localizacion = localizacion;
	}

	
	
}
