package arcyd.com.model.ReservaActividad;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import arcyd.com.model.Actividad.Actividad;
import arcyd.com.model.EstadoReserva.EstadoReserva;
import arcyd.com.model.HorarioActividad.HorarioActividad;
import arcyd.com.model.Usuario.Usuario;

@Entity
@Table(name = "RESERVAACTIVIDAD")
public class ReservaActividad {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "IDRESERVAACTIVIDAD", unique = true, nullable = false)
	public int id;
	
	@Column(name = "FECHAINSCRIPCION", unique = true, nullable = false)
	public Date fechaInscripcion;
	
	@Column(name = "FECHABAJA", unique = true, nullable = false)
	public String fechaBaja;
	
	@OneToOne
	@JoinColumn(name="ESTADORESERVA_IDESTADORESERVA")
	public EstadoReserva estadoReserva;
	
	@ManyToOne@JoinColumn(name = "USUARIO_IDUSUARIO")
	public Usuario usuario;
	
	@ManyToOne@JoinColumn(name = "ACTIVIDAD_IDACTIVIDAD")
	public Actividad actividad;
	
	@ManyToOne
	@JoinColumn(name="HORARIOACTIVIDAD_IDHORARIOACTIVIDAD")
	public HorarioActividad horarioActividad;
	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return the usuario
	 */
	public Usuario getUsuario() {
		return usuario;
	}

	/**
	 * @param usuario the usuario to set
	 */
	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	/**
	 * @return the actividad
	 */
	public Actividad getActividad() {
		return actividad;
	}

	/**
	 * @param actividad the actividad to set
	 */
	public void setActividad(Actividad actividad) {
		this.actividad = actividad;
	}

	/**
	 * @return the fechaInscripcion
	 */
	public Date getFechaInscripcion() {
		return fechaInscripcion;
	}

	/**
	 * @param fechaInscripcion the fechaInscripcion to set
	 */
	public void setFechaInscripcion(Date fechaInscripcion) {
		this.fechaInscripcion = fechaInscripcion;
	}

	/**
	 * @return the fechaBaja
	 */
	public String getFechaBaja() {
		return fechaBaja;
	}

	/**
	 * @param fechaBaja the fechaBaja to set
	 */
	public void setFechaBaja(String fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	/**
	 * @return the estadoReserva
	 */
	public EstadoReserva getEstadoReserva() {
		return estadoReserva;
	}

	/**
	 * @param estadoReserva the estadoReserva to set
	 */
	public void setEstadoReserva(EstadoReserva estadoReserva) {
		this.estadoReserva = estadoReserva;
	}

	/**
	 * @return the horarioActividad
	 */
	public HorarioActividad getHorarioActividad() {
		return horarioActividad;
	}

	/**
	 * @param horarioActividad the horarioActividad to set
	 */
	public void setHorarioActividad(HorarioActividad horarioActividad) {
		this.horarioActividad = horarioActividad;
	}

	
}
