package arcyd.com.model.ReservaPista;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;

import arcyd.com.model.EstadoReserva.EstadoReserva;
import arcyd.com.model.Pista.Pista;
import arcyd.com.model.Usuario.Usuario;

@Entity
@Table(name = "RESERVAPISTA")
public class ReservaPista {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "IDRESERVAPISTA", unique = true, nullable = false)
	public int id;
	@ManyToOne@JoinColumn(name = "USUARIO_IDUSUARIO")
	public Usuario usuario;
	
	@ManyToOne@JoinColumn(name = "PISTA_IDPISTA")
	public Pista pista;
	
	@Column(name = "FECHARESERVA", unique = true, nullable = false)
	public Date fechaReserva;
	
	@Column(name = "HORARESERVA", unique = true, nullable = false)
	public String horaReserva;
	
	@OneToOne
	@JoinColumn(name="ESTADORESERVA_IDESTADORESERVA")
	public EstadoReserva estadoReserva;
	@Transient
	public int numPistas;
	@Transient
	public boolean disponible;
	/**
	 * @return the usuario
	 */
	public Usuario getUsuario() {
		return usuario;
	}

	/**
	 * @param usuario the usuario to set
	 */
	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	/**
	 * @return the pista
	 */
	public Pista getPista() {
		return pista;
	}

	/**
	 * @param pista the pista to set
	 */
	public void setPista(Pista pista) {
		this.pista = pista;
	}

	/**
	 * @return the fechaReserva
	 */
	public Date getFechaReserva() {
		return fechaReserva;
	}

	/**
	 * @param fechaReserva the fechaReserva to set
	 */
	public void setFechaReserva(Date fechaReserva) {
		this.fechaReserva = fechaReserva;
	}

	

	/**
	 * @return the horaReserva
	 */
	public String getHoraReserva() {
		return horaReserva;
	}

	/**
	 * @param horaReserva the horaReserva to set
	 */
	public void setHoraReserva(String horaReserva) {
		this.horaReserva = horaReserva;
	}

	/**
	 * @return the estadoReserva
	 */
	public EstadoReserva getEstadoReserva() {
		return estadoReserva;
	}

	/**
	 * @param estadoReserva the estadoReserva to set
	 */
	public void setEstadoReserva(EstadoReserva estadoReserva) {
		this.estadoReserva = estadoReserva;
	}

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return the numPistas
	 */
	public int getNumPistas() {
		return numPistas;
	}

	/**
	 * @param numPistas the numPistas to set
	 */
	public void setNumPistas(int numPistas) {
		this.numPistas = numPistas;
	}

	/**
	 * @return the disponible
	 */
	public boolean isDisponible() {
		return disponible;
	}

	/**
	 * @param disponible the disponible to set
	 */
	public void setDisponible(boolean disponible) {
		this.disponible = disponible;
	}
	
}
