package arcyd.com.security;
import java.io.IOException;
import java.io.Writer;
import java.util.Collection;
import java.util.Iterator;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;
import javax.servlet.http.HttpSession;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;

import org.springframework.security.web.authentication.SimpleUrlAuthenticationSuccessHandler;

import arcyd.com.util.Constants;


public class AutentificationSuccessHandler extends SimpleUrlAuthenticationSuccessHandler {
 
    @Override
    public final void onAuthenticationSuccess(HttpServletRequest request, HttpServletResponse response,
            Authentication authentication) throws IOException, ServletException {
        
   	    SecurityContext securityContext = SecurityContextHolder.getContext();
   	 
    	    securityContext.setAuthentication(authentication);
    	    @SuppressWarnings("rawtypes")
			Collection autorities = authentication.getAuthorities();
    	    String targetUrl = "";
    	    @SuppressWarnings("rawtypes")
			Iterator it = autorities.iterator();
            while(it.hasNext()) {
            	GrantedAuthority autority = (GrantedAuthority) it.next();
            	String role =  autority.getAuthority();
                if(role.equals(Constants.ROLE_USER)){
         	    	targetUrl = Constants.DEFAULT_URL_USER;
         	    	setDefaultTargetUrl(Constants.DEFAULT_URL_USER);
         	    	
         	    }
        	    else if(role.equals(Constants.ROLE_ADMIN)) {
        	       	targetUrl = Constants.DEFAULT_URL_ADMIN;
        	    	setDefaultTargetUrl(Constants.DEFAULT_URL_ADMIN);
        	    }
            }
            @SuppressWarnings("unused")
			Object principal = authentication.getPrincipal();
     	    // Create a new session and add the security context.
    	    HttpSession session = request.getSession(true);
    	    session.setAttribute("SPRING_SECURITY_CONTEXT", securityContext);
    	    HttpServletResponseWrapper responseWrapper = new HttpServletResponseWrapper(response);
    	    
    	    Writer out = responseWrapper.getWriter();

    	  
    	    out.write("{success:true, targetUrl : \'" + targetUrl + "\'}");
    	    out.close();
    	//lgica de tratamiento de autenticacin correcta
//    	if ("XMLHttpRequest".equals(request.getHeader("X-Requested-With"))) {
//
//    		response.getWriter().print(
//    		"{success:true, targetUrl : \'"
//    		+ "/inscripciones\'}");
//    		response.getWriter().flush();
//    		} else {
//    		super.onAuthenticationSuccess(request, response, authentication);
//    		}
//        
    }

	
}