package arcyd.com.security;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.authentication.BadCredentialsException;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.GrantedAuthorityImpl;
import org.springframework.stereotype.Service;
import arcyd.com.model.Usuario.Usuario;
import arcyd.com.service.UsuarioService;
import arcyd.com.util.Credentials;


/**
 * Controller - Spring
 * 
 * @author Eva Maria Gonzalez

 */
@SuppressWarnings("deprecation")
@Service
public class CustomAuthenticationProvider implements AuthenticationProvider , Serializable {
	 
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@Autowired
	 private UsuarioService usuarioService;

	@Override
	public Authentication authenticate(Authentication authentication)
			throws AuthenticationException {
		
		UsernamePasswordAuthenticationToken auth = (UsernamePasswordAuthenticationToken) authentication;
		  String username = String.valueOf(auth.getPrincipal());
		  String password = String.valueOf(auth.getCredentials());

		  Credentials cred = new Credentials();
		  cred.setLogin(username);
		  cred.setPassword(password);
	    Usuario usuario = usuarioService.authenticate(cred);
	    if (usuario == null || !usuario.getPassword().equals(password)) {
	        throw new BadCredentialsException("Nmero Socio / Password incorrectas ");
	     }
	      // 4. Return an authenticated token, containing user data and authorities  
	    List<GrantedAuthority> authorities = new ArrayList<GrantedAuthority>(1);
	    authorities.add(new GrantedAuthorityImpl(usuario.getPerfil()));
	      UsernamePasswordAuthenticationToken usernameAndPassword = 
	                new UsernamePasswordAuthenticationToken(
	                    username + ": "+usuario.getNombre() +" "+ usuario.getApellido() +" ("+usuario.getPerfil()+")", password, authorities);
	      
	    return usernameAndPassword;
	}
	
	@Override
    public boolean supports(Class<? extends Object> authentication) {
        return (UsernamePasswordAuthenticationToken.class.isAssignableFrom(authentication));
    }
}