package arcyd.com.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import arcyd.com.dao.EstadoReservaDAO;
import arcyd.com.model.EstadoReserva.EstadoReserva;


/**
 * Socio Service
 * 
 * @author Eva Maria Gonzlez
 */
@Service
public class EstadoReservaService {	
	
	private EstadoReservaDAO estadoReservaDAO;

	/**
	 * Obtener todas las noticias
	 * @return
	 */
	@Transactional(readOnly=true)
	public List<EstadoReserva> getEstadoReservaList(int start, int limit){
		
		return estadoReservaDAO.getEstadosReserva(start, limit);
	}
	
	
	/**
	 * Get numero total de  EstadosReserva 
	 * @return
	 */
	@Transactional
	public int getTotalEstadosReserva(){
	
		return estadoReservaDAO.getTotalEstadosReserva();
	}
	
	/**
	 * Spring use - DI
	 * @param estadoReservaDAO
	 */
	@Autowired
	public void setEstadoReservaDAO(EstadoReservaDAO estadoReservaDAO) {
		this.estadoReservaDAO = estadoReservaDAO;
	}

	/**
	 * @return the estadoReservaDAO
	 */
	public EstadoReservaDAO getEstadoReservaDAO() {
		return estadoReservaDAO;
	}
	
	
}
