package arcyd.com.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import arcyd.com.dao.LocalizacionDAO;
import arcyd.com.model.Localizacion.Localizacion;


/**
 * Socio Service
 * 
 * @author Eva Maria Gonzlez
 */
@Service
public class LocalizacionService {	
	
	private LocalizacionDAO localizacionDAO;

	/**
	 * Obtener todas las noticias
	 * @return
	 */
	@Transactional(readOnly=true)
	public List<Localizacion> getLocalizacionList(int start, int limit){
		
		return localizacionDAO.getLocalizaciones(start, limit);
	}
	
	
	/**
	 * Get numero total de  Localizaciones 
	 * @return
	 */
	@Transactional
	public int getTotalLocalizaciones(){
	
		return localizacionDAO.getTotalLocalizaciones();
	}
	
	/**
	 * Spring use - DI
	 * @param localizacionDAO
	 */
	@Autowired
	public void setLocalizacionDAO(LocalizacionDAO localizacionDAO) {
		this.localizacionDAO = localizacionDAO;
	}

	/**
	 * @return the localizacionDAO
	 */
	public LocalizacionDAO getLocalizacionDAO() {
		return localizacionDAO;
	}
	
	
}
