Ext.define('arcyd.model.ReservaActividad', {
    extend: 'Ext.data.Model',

    uses: [
        'arcyd.model.Actividad',
        'arcyd.model.Usuario',
        'arcyd.model.EstadosReserva',
        'arcyd.model.HorarioActividad'
    ],

    hasOne: {
        model: 'arcyd.model.EstadoReserva',
        name: 'estadoReserva'
    },

    fields: [
        {
            name: 'id'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return new Date(v);
                return null;
            },
            dateFormat: 'Y-m-d',
            name: 'fechaInscripcion',
            type: 'date'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return new Date(v);
                return null;
            },
            dateFormat: 'Y-m-d',
            name: 'fechaBaja',
            type: 'date'
        },
        {
            convert: function(v, rec) {

                if(v != null)
                return v.nombre;
                return null;
            },
            mapping: 'actividad',
            name: 'actividadnombre'
        },
        {
            convert: function(v, rec) {

                if(v != null)
                return v.id;
                return null;
            },
            mapping: 'actividad',
            name: 'actividadid'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.id;
                return null;
            },
            mapping: 'usuario',
            name: 'usuarioid'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.perfil;
                return null;
            },
            mapping: 'usuario',
            name: 'usuarioperfil'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.numSocio;
                return null;
            },
            mapping: 'usuario',
            name: 'usuarionumsocio'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.estado;
                return null;
            },
            mapping: 'estadoReserva',
            name: 'estadoreservaestado'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.id;
                return null;
            },
            mapping: 'estadoReserva',
            name: 'estadoreservaid'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.id;
                return null;
            },
            mapping: 'horarioActividad',
            name: 'horarioactividadid'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.dia;
                return null;
            },
            mapping: 'horarioActividad',
            name: 'horarioactividaddia'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.hora;
                return null;
            },
            mapping: 'horarioActividad',
            name: 'horarioactividadhora'
        }
    ],

    belongsTo: [
        {
            model: 'arcyd.model.Actividad'
        },
        {
            model: 'arcyd.model.Usuario'
        },
        {
            model: 'arcyd.model.EstadosReserva'
        },
        {
            model: 'arcyd.model.HorarioActividad'
        }
    ]
});