Ext.define('arcyd.model.ReservaPista', {
    extend: 'Ext.data.Model',

    uses: [
        'arcyd.model.EstadosReserva',
        'arcyd.model.Pista',
        'arcyd.model.Usuario'
    ],

    hasOne: {
        model: 'arcyd.model.EstadoReserva',
        name: 'estadoReserva'
    },

    fields: [
        {
            name: 'id'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return new Date(v);
                return null;
            },
            dateFormat: 'Y-m-d',
            name: 'fechaReserva',
            type: 'date'
        },
        {
            name: 'horaReserva'
        },
        {
            convert: function(v, rec) {
                if(v!=null)return v.nombre;
                return null;
            },
            mapping: 'pista',
            name: 'pistanombre'
        },
        {
            convert: function(v, rec) {
                if(v!=null)return v.id;
                return null;
            },
            mapping: 'pista',
            name: 'pistaid'
        },
        {
            convert: function(v, rec) {
                if(v!=null)return v.id;
                return null;
            },
            mapping: 'usuario',
            name: 'usuarioid'
        },
        {
            convert: function(v, rec) {
                if(v!=null)return v.perfil;
                return null;
            },
            mapping: 'usuario',
            name: 'usuarioperfil'
        },
        {
            convert: function(v, rec) {
                if(v!=null)return v.numSocio;
                return null;
            },
            mapping: 'usuario',
            name: 'usuarionumsocio'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.estado;
                return null;
            },
            mapping: 'estadoReserva',
            name: 'estadoreservaestado'
        },
        {
            convert: function(v, rec) {
                if(v!=null) return v.id;
                return null;
            },
            mapping: 'estadoReserva',
            name: 'estadoreservaid'
        }, 
        {
        	name:'disponible'
        },
        {
        	name:'numPistas'
        }
    ],

    belongsTo: [
        {
            model: 'arcyd.model.EstadosReserva'
        },
        {
            model: 'arcyd.model.Pista'
        },
        {
            model: 'arcyd.model.Usuario'
        }
    ]
});