Ext.define('arcyd.store.HorarioActividades', {
    extend: 'Ext.data.Store',

    requires: [
        'arcyd.model.HorarioActividad'
    ],

    constructor: function(cfg) {
        var me = this;
        cfg = cfg || {};
        me.callParent([Ext.apply({
            autoLoad: true,
            model: 'arcyd.model.HorarioActividad',
            storeId: 'HorarioActividades',
            proxy: {
                type: 'ajax',
                url: 'horarioActividad/getByActividadId.action',
                reader: {
                    type: 'json',
                    root: 'data'
                },
                writer: {
                    type: 'json',
                    root: 'data'
                },
                listeners: {
                    exception: {
                        fn: me.onAjaxException,
                        scope: me
                    }
                }
            }
        }, cfg)]);
    },

    onAjaxException: function(proxy, response, operation, eOpts) {
        //console.log(operation);
        //console.log(response);
        Ext.MessageBox.show({
            title: 'Ajax exception',
            msg: response.responseText,
            icon: Ext.MessageBox.ERROR,
            buttons: Ext.Msg.OK
        });
    }

});