Ext.define('arcyd.store.HorarioActividadesListStore', {
    extend: 'Ext.data.Store',

    requires: [
        'arcyd.model.HorarioActividad'
    ],

    constructor: function(cfg) {
        var me = this;
        cfg = cfg || {};
        me.callParent([Ext.apply({
            autoLoad: true,
            model: 'arcyd.model.HorarioActividad',
            storeId: 'HorarioActividadesListStore',
            proxy: {
                type: 'ajax',
                api: {
                    read: 'horarioActividad/view.action',
                    create: 'horarioActividad/create.action',
                    update: 'horarioActividad/update.action',
                    destroy: 'horarioActividad/delete.action'
                },
                reader: {
                    type: 'json',
                    root: 'data'
                },
                writer: {
                    type: 'json',
                    root: 'data'
                },
                listeners: {
                    exception: {
                        fn: me.onAjaxException,
                        scope: me
                    }
                }
            },
            sorters: {
                property: 'actividadnombre'
            }
        }, cfg)]);
    },

    onAjaxException: function(proxy, response, operation, eOpts) {
        Ext.MessageBox.show({
            title: 'Ajax exception',
            msg: response.responseText,
            icon: Ext.MessageBox.ERROR,
            buttons: Ext.Msg.OK
        });
    }

});