Ext.define('arcyd.store.Noticias', {
    extend: 'Ext.data.Store',
    alias: 'store.noticia',

    requires: [
        'arcyd.model.Noticia'
    ],

    constructor: function(cfg) {
        var me = this;
        cfg = cfg || {};
        me.callParent([Ext.apply({
            autoLoad: true,
            model: 'arcyd.model.Noticia',
            storeId: 'Noticias',
            proxy: {
                type: 'ajax',
                api: {
                    read: 'noticia/view.action',
                    create: 'noticia/create.action',
                    destroy: 'noticia/delete.action'
                },
                reader: {
                    type: 'json',
                    root: 'data'
                },
                writer: {
                    type: 'json',
                    root: 'data'
                },
                listeners: {
                    exception: {
                        fn: me.onAjaxException,
                        scope: me
                    }
                }
            },
            sorters: {
                direction: 'DESC',
                property: 'fecha'
            }
        }, cfg)]);
    },

    onAjaxException: function(proxy, response, operation, eOpts) {
        Ext.MessageBox.show({
            title: 'Ajax exception',
            msg: response.responseText,
            icon: Ext.MessageBox.ERROR,
            buttons: Ext.Msg.OK
        });
    }

});