Ext.define('arcyd.view.LoginFormPanel', {
    extend: 'Ext.form.Panel',
    alias: 'widget.LoginFormPanel',

    monitorValid: true,
    frame: true,
    height: 150,
    id: 'LoginFormPanel',
    maxHeight: 200,
    padding: 10,
    width: 400,
    bodyPadding: 10,
    title: 'Login',
    method: 'POST',
    url: 'j_spring_security_check',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            method: 'POST',
            url: 'j_spring_security_check'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'textfield',
                    anchor: '100%',
                    fieldLabel: 'Número usuario',
                    name: 'j_username',
                    allowBlank: false
                },
                {
                    xtype: 'textfield',
                    anchor: '100%',
                    fieldLabel: 'Contraseña',
                    name: 'j_password',
                    inputType: 'password',
                    allowBlank: false
                }
            ],
            dockedItems: [
                {
                    xtype: 'toolbar',
                    dock: 'bottom',
                    ui: 'footer',
                    items: [
                        {
                            xtype: 'tbfill'
                        },
                        {
                            xtype: 'button',
                            handler: function(button, e) {
                                Ext.getCmp('LoginFormPanel').getForm().submit({

                                    method:'POST',

                                    success:function(form, action){

                                        var obj = Ext.JSON.decode(action.response.responseText);       
                                        if(obj.targetUrl != null)
                                        window.location = obj.targetUrl;
                                    },


                                    failure:function(form, action){


                                        if(action.failureType == 'server'){

                                            obj = Ext.JSON.decode(action.response.responseText);



                                            Ext.Msg.alert('Login Failed!', obj.errors.reason);

                                        }else{

                                            Ext.Msg.alert('Warning!', 'Authentication server is unreachable : ' + action.response.responseText);


                                        }

                                        this.getForm().reset();

                                    }

                                });
                            },
                            formBind: true,
                            id: 'loginBtn',
                            text: 'Aceptar'
                        },
                        {
                            xtype: 'button',
                            id: 'CancelBtn',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onCancelBtnToggle,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onCancelBtnToggle: function(button, pressed, eOpts) {
        Ext.getCmp('LoginFormPanel').getForm().reset();
    }

});