Ext.define('arcyd.view.actividad.List', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.actividadlist',

    id: 'actividadesGridPanel',
    maxHeight: 359,
    padding: 10,
    bodyBorder: false,
    title: 'Actividades',
    forceFit: true,
    store: 'Actividades',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'actioncolumn',
                    width: 25,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idActividad = record.get('id');




                                function processResult(opt){
                                    if(opt == 'no'){
                                        return false;
                                    }
                                    if(opt == 'yes'){
                                        Ext.Ajax.request({
                                            url: '/arcyd/actividad/delete.action', 
                                            method:'GET', 
                                            params: { 'idActividad': idActividad },
                                            success: function(response)
                                            {
                                                Ext.Msg.alert('Actividad eliminada', 'La actividad seleccionada ha sido eliminada');
                                                Ext.getCmp('actividadesGridPanel').getStore().load();

                                            }
                                        });
                                    }
                                }
                                Ext.Msg.show({
                                    title:'Eliminar actividad',
                                    msg: '¿Seguro que desea eliminar la actividad seleccionada?',
                                    buttons: Ext.Msg.YESNO,
                                    animEl: 'elId',
                                    fn: processResult,
                                    icon: Ext.MessageBox.QUESTION
                                });
                            },
                            icon: './resources/images/remove.png',
                            tooltip: 'Eliminar Actividad'
                        }
                    ]
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'id',
                    text: 'Id'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'nombre',
                    text: 'Nombre'
                },
                {
                    xtype: 'gridcolumn',
                    filter: true,
                    dataIndex: 'descripcion',
                    text: 'Descripcion',
                    flex: 1
                },
                {
                    xtype: 'actioncolumn',
                    width: 100,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idActividad = record.get('id');

                                window.location = '/arcyd/actividadUpdate.jsp?idActividad='+idActividad;
                            },
                            icon: './resources/images/edit.png',
                            tooltip: 'Modificar Pista'
                        }
                    ]
                }
            ],
            dockedItems: [
                {
                    xtype: 'pagingtoolbar',
                    dock: 'bottom',
                    displayInfo: true,
                    store: 'Actividades',
                    items: [
                        {
                            xtype: 'button',
                            enableToggle: true,
                            text: 'Crear',
                            listeners: {
                                toggle: {
                                    fn: me.onButtonToggle,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onButtonToggle: function(button, pressed, eOpts) {
        window.location = '/arcyd/actividadCreate.jsp';

    }

});