Ext.define('arcyd.view.actividad.create', {
    extend: 'Ext.form.Panel',
    alias: 'widget.actividadcreate',

    id: 'actividadCreateForm',
    padding: 10,
    autoScroll: true,
    bodyPadding: 10,
    title: 'Crear actividad',
    url: '/arcyd/actividad/create.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/actividad/create.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Nombre',
                            name: 'nombre',
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripción',
                            name: 'descripcion'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            fieldLabel: 'Profesor',
                            name: 'profesor',
                            allowBlank: false,
                            displayField: 'nombre',
                            store: 'Profesores',
                            valueField: 'id'
                        },
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            fieldLabel: 'Localizacion',
                            labelAlign: 'right',
                            name: 'localizacion',
                            allowBlank: false,
                            displayField: 'tipo',
                            store: 'Localizaciones',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn12',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Salvar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn12',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {
        var actividadCreateForm = Ext.getCmp('actividadCreateForm');

        Ext.getCmp('actividadCreateForm').getForm().submit({

            url:'/arcyd/actividad/create.action',

            method: 'POST',

            enctype : 'multipart/form-data; charset=utf-8',

            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },

            success: function(form,action) {
                var jsonData = Ext.JSON.decode(action.response.responseText);
                var actividad = jsonData.data.nombre;

                Ext.Msg.alert('Actividad creada', "Actividad: "+actividad+ " creada correctamente.");
                window.location = '/arcyd/actividadManage.jsp';  
            },
            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }  
        });
    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/actividadManage.jsp';
    }

});