Ext.define('arcyd.view.actividad.inscripcion', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.actividadinscripcion',

    requires: [
        'arcyd.view.actividad.selectable'
    ],

    id: 'actividadInscripcionPanel',
    padding: 10,
    autoScroll: true,
    layout: {
        type: 'column'
    },
    bodyPadding: 10,

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    columnWidth: 1,
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'label',
                            columnWidth: 1,
                            text: 'Seleccione una actividad para obtener su información. Si desea inscribirse en la misma,  seleccion el horario y haga click en el botón inscribirse.'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    columnWidth: 1,
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            id: 'actividadListCombo',
                            fieldLabel: 'Actividad',
                            name: 'actividadListCombo',
                            displayField: 'nombre',
                            store: 'Actividades',
                            valueField: 'id',
                            listeners: {
                                select: {
                                    fn: me.onActividadListComboSelect,
                                    scope: me
                                }
                            }
                        }
                    ]
                },
                {
                    xtype: 'container',
                    columnWidth: 1,
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'actividadselectable',
                            columnWidth: 1
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onActividadListComboSelect: function(combo, records, eOpts) {
        var idActividad = combo.getValue();
        var actividadSelectableForm = Ext.getCmp('actividadSelectableForm');

        if(idActividad !=null){

            var horarioActividadGrid = Ext.getCmp('horarioActividadSelectableGrid');
            var horarioActividadStore = Ext.create('arcyd.store.HorarioActividades');
            horarioActividadStore.proxy.extraParams.idActividad = idActividad;
            actividadSelectableForm.getForm().load({


                method:'GET',

                waitMsg:'Loading',

                url:'/arcyd/actividad/getById.action',

                headers: {  "Accept": "application/json" },

                params: {

                    'idActividad': idActividad

                },

                success: function(f, a){

                    var jsonValues = Ext.JSON.decode(a.response.responseText);

                    actividadSelectableForm.getForm().setValues(jsonValues);

                    var tipoLocalizacion = jsonValues.data.localizacion.tipo;
                    var nombreProfesor = jsonValues.data.profesor.nombre;
                    var apellidoProfesor = jsonValues.data.profesor.apellido;

                    Ext.getCmp('descripcionGeneralSelectableActividad').setValue('La clase es impartida por: '+nombreProfesor + ' '+ apellidoProfesor +' en: ' +tipoLocalizacion  );
                    horarioActividadGrid.getView().bindStore(horarioActividadStore);
                    horarioActividadGrid.view.store.load();

                }    				

            });
        }else{

            actividadSelectableForm.getForm().reset();
        }
    }
});