Ext.define('arcyd.view.actividad.reservaFilter', {
    extend: 'Ext.form.Panel',
    alias: 'widget.actividadfilter',

    id: 'actividadFilterForm',
    autoScroll: true,
    bodyPadding: 10,
    collapsed: true,
    collapsible: true,
    title: 'Filtro',
    url: '/arcyd/actividad/create.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/actividad/create.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Id reserva',
                            name: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            fieldLabel: 'Actividad',
                            name: 'nombre',
                            displayField: 'nombre',
                            store: 'Actividades',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Num usuario',
                            name: 'usuarionumSocio'
                        },
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            fieldLabel: 'Estado reserva',
                            labelAlign: 'right',
                            name: 'estadoreserva',
                            displayField: 'estado',
                            store: 'EstadosReserva',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn13',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Buscar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn15',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {
        var actividadFilterForm = Ext.getCmp('actividadFilterForm');

        var queryStr = actividadFilterForm.getForm().getValues(false,false,false,true);
        //console.log(queryStr);

        var listContactManagementGrid = Ext.getCmp('actividadreservasAdmin');

        queryStr.request='prepare';

        listContactManagementGrid.getStore().getProxy().extraParams = queryStr;

        try{
            listContactManagementGrid.getStore().loadPage(1);

        }
        catch(err){

            alert(err);    
            listContactManagementGrid.getStore().load({params:{ request:'prepare' }} );

        }
    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        var actividadFilterForm = Ext.getCmp('actividadFilterForm');

        actividadFilterForm.getForm().reset();
    }

});