Ext.define('arcyd.view.actividad.reservas', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.actividadreservas',

    id: 'actividadreservas',
    maxHeight: 359,
    title: 'Reserva Actividad',
    forceFit: true,
    store: 'ReservaActividades',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'id',
                    text: 'Id'
                },
                {
                    xtype: 'datecolumn',
                    renderer: Ext.util.Format.dateRenderer('Y-m-d'),
                    dataIndex: 'fechaInscripcion',
                    text: 'Fecha Inscripcion',
                    format: 'd/m/Y'
                },
                {
                    xtype: 'datecolumn',
                    renderer: Ext.util.Format.dateRenderer('Y-m-d'),
                    dataIndex: 'fechaBaja',
                    text: 'Fecha Baja',
                    format: 'd/m/Y'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'actividadid',
                    hideable: false,
                    text: 'Actividad'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'actividadnombre',
                    text: 'Actividad'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'usuarioid',
                    hideable: false,
                    text: 'Usuarioid'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'usuarionumsocio',
                    hideable: false,
                    text: 'UsuarioPerfil'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'usuarionumsocio',
                    hideable: false,
                    text: 'Usuario Num Socio'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'estadoreservaid',
                    hideable: false,
                    text: 'EstadoId'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'estadoreservaestado',
                    text: 'Estado'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'horarioactividadid',
                    hideable: false,
                    text: 'HorarioActividadid'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'horarioactividaddia',
                    text: 'Día'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'horarioactividadhora',
                    text: 'Hora'
                },
                {
                    xtype: 'actioncolumn',
                    padding: 5,
                    width: 100,
                    hideable: false,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var rec = view.getStore().getAt(rowIndex);
                                var EST_RESERVA_CANCELADA = 3;
                                if(rec.data.estadoreservaid != EST_RESERVA_CANCELADA){
                                    function processResult(opt){
                                        if(opt == 'no'){
                                            return false;
                                        }
                                        if(opt == 'yes'){
                                            Ext.Ajax.request({
                                                url: '/arcyd/reservaActividad/cancelar.action', 
                                                method:'GET', 
                                                params: { 'idReserva': rec.data.id },
                                                success: function(response)
                                                {
                                                    Ext.Msg.alert('Inscripción actividad cancelada', 'La inscripción ha sido cancelada');
                                                    Ext.getCmp('actividadreservas').getStore().load();

                                                }
                                            });



                                        }
                                    }
                                    Ext.Msg.show({
                                        title:'Información',
                                        msg: 'La baja se hará efectiva el último día del mes. ¿Desea continuar?',
                                        buttons: Ext.Msg.YESNO,
                                        animEl: 'elId',
                                        fn: processResult,
                                        icon: Ext.MessageBox.QUESTION
                                    });
                                }else{
                                    Ext.Msg.alert('Cancelada', 'La solicitud ya se encuentra en estado cancelada. ');
                                }



                            },
                            getClass: function(v, metadata, r, rowIndex, colIndex, store) {
                                return 'x-action-col-icon';
                            },
                            icon: './resources/images/delete.png',
                            iconCls: '',
                            tooltip: 'Cancelar Reserva'
                        },
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idActividad = record.get('actividadid');

                                window.location = '/arcyd/actividadView.jsp?idActividad='+idActividad;
                            },
                            getClass: function(v, metadata, r, rowIndex, colIndex, store) {
                                return 'x-action-col-icon';
                            },
                            icon: './resources/images/view-icon.png',
                            iconCls: '',
                            tooltip: 'Ver actividad'
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});