Ext.define('arcyd.view.actividad.selectable', {
    extend: 'Ext.form.Panel',
    alias: 'widget.actividadselectable',

    id: 'actividadSelectableForm',
    autoScroll: true,
    bodyPadding: 10,
    title: '',
    height: 459,
    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'displayfield',
                    cls: 'descriptionTitle',
                    id: 'nombreSelectable',
                    hideLabel: true,
                    name: 'nombre',
                    fieldStyle: 'font-size:22px;text-align:center;width:70px; color:darkblue; font-weight:bold; font-style:italic'
                },
                {
                    xtype: 'hiddenfield',
                    anchor: '100%',
                    fieldLabel: 'Label',
                    name: 'id'
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripcion',
                            name: 'descripcion',
                            submitValue: false,
                            readOnly: true
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            id: 'descripcionGeneralSelectableActividad',
                            fieldLabel: 'General',
                            submitValue: false,
                            readOnly: true
                        }
                    ]
                },
                {
                    xtype: 'container',
                    columnWidth: 1,
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'label',
                            columnWidth: 1,
                            text: 'NOTA: Color verde significa que quedan plazas disponibles en ese horario. El rojo que en ese horario no quedan plazas disponibles.'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    maxHeight: 359,
                    height:150,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'gridpanel',
                            id: 'horarioActividadSelectableGrid',
                            maxHeight: 259,
                            width: 450,
                            autoScroll: true,
                            title: 'Horario',
                            viewConfig: {
                                autoScroll: true
                                ,
                                getRowClass: function(record, rowIndex, rowParams, store){
                                	 var numPersonas = record.get('numPersonas');
                                	 if(numPersonas>19) return 'red-row';
                                	 else
                                		 return 'green-row'; // should probably conditional
                                  }
                            },
                            columns: [
                                {
                                    xtype: 'gridcolumn',
                                    hidden: true,
                                    dataIndex: 'id',
                                    hideable: false,
                                    text: 'Id'
                                },
                                {
                                    xtype: 'gridcolumn',
                                    dataIndex: 'dia',
                                    text: 'Dia',
                                    flex: 1
                                },
                                {
                                    xtype: 'gridcolumn',
                                    dataIndex: 'hora',
                                    text: 'Hora'
                                },
                                {
                                	xtype: 'gridcolumn',
                                	dataIndex: 'numPersonas',
                                	text: 'Num. Personas'
                                }
                            ],
                            selModel: Ext.create('Ext.selection.CheckboxModel', {
                                mode: 'SINGLE'
                            })
                        }
                    ]
                },
               {
                    xtype: 'container',
                    height: 28,
                 
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn10',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Reservar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn10',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
                
            ],
            errorReader: Ext.create('Ext.data.reader.Json', {
                root: 'errors'
            }),
            reader: Ext.create('Ext.data.reader.Json', {
                model: 'arcyd.model.Actividad',
                root: 'data'
            })
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {

        var actividadSelectableForm = Ext.getCmp('actividadSelectableForm');

        var idHorarioActividad = '';

        var selections = Ext.getCmp('horarioActividadSelectableGrid').getSelectionModel().getSelection();

        idHorarioActividad = selections[0].data.id;
        var nombreActividad = Ext.getCmp('nombreSelectable').getValue;
        Ext.getCmp('actividadSelectableForm').getForm().submit({
            url:'/arcyd/reservaActividad/create.action',
            method: 'POST',
            params: {'idHorarioActividad': idHorarioActividad},
            enctype : 'multipart/form-data; charset=utf-8',
            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },
            success: function(form,action) {

            	var jsonData = Ext.JSON.decode(action.response.responseText);
              //  var nombreActividad = jsonData.data.actividad.nombre;

               // Ext.Msg.alert('Inscripcion en actividad creada', "Inscripcin en: "+nombreActividad+ " generada correctamente.");
                window.location = '/arcyd/inscripciones.jsp';

            },

            failure: function(form,action){

                Ext.Msg.alert('Error en la inscripción',action.result.message);

            }

        });

    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/inscripciones.jsp';
    }


});