Ext.define('arcyd.view.actividad.update', {
    extend: 'Ext.form.Panel',
    alias: 'widget.actividadupdate',

    requires: [
        'arcyd.view.horarioActividad.ListByActividad'
    ],

    id: 'actividadUpdateForm',
    padding: 10,
    bodyPadding: 10,
    title: 'Modificar actividad',
    url: '/arcyd/actividad/update.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/actividad/update.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Id',
                            name: 'id',
                            readOnly: true,
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Nombre',
                            name: 'nombre',
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripción',
                            name: 'descripcion'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            id: 'profesorActividadUpdateForm',
                            fieldLabel: 'Profesor',
                            name: 'profesor',
                            allowBlank: false,
                            displayField: 'nombre',
                            store: 'Profesores',
                            valueField: 'id'
                        },
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            id: 'localizacionActividadUpdateForm',
                            fieldLabel: 'Localizacion',
                            labelAlign: 'right',
                            name: 'localizacion',
                            allowBlank: false,
                            displayField: 'tipo',
                            store: 'Localizaciones',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'horarioactividadlistbyactividad',
                    padding: 20
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn11',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Salvar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn11',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ],
            errorReader: Ext.create('Ext.data.reader.Json', {
                root: 'errors'
            }),
            reader: Ext.create('Ext.data.reader.Json', {
                model: 'arcyd.model.Actividad',
                root: 'data'
            })
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {
        var actividadUpdateForm = Ext.getCmp('actividadUpdateForm');

        Ext.getCmp('actividadUpdateForm').getForm().submit({
            url:'/arcyd/actividad/update.action',
            method: 'POST',
            enctype : 'multipart/form-data; charset=utf-8',
            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },
            success: function(form,action) {


                var jsonData = Ext.JSON.decode(action.response.responseText);
                var actividad = jsonData.data.nombre;

                Ext.Msg.alert('Actividad modificada', "Actividad: "+actividad+ " modificada correctamente.");
                window.location = '/arcyd/actividadManage.jsp';

            },

            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }

        });

    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/actividadManage.jsp';
    }

});