Ext.define('arcyd.view.actividad.view', {
    extend: 'Ext.form.Panel',
    alias: 'widget.actividadview',

    id: 'actividadViewForm',
    padding: 10,
    autoScroll: true,
    bodyPadding: 10,
    title: 'Actividad ',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'displayfield',
                    cls: 'descriptionTitle',
                    id: 'nombre',
                    hideLabel: true,
                    name: 'nombre',
                    fieldStyle: 'font-size:22px;text-align:center;width:70px; color:darkblue; font-weight:bold; font-style:italic'
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripcion',
                            name: 'descripcion',
                            readOnly: true
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            id: 'descripcionGeneralActividad',
                            fieldLabel: 'General',
                            readOnly: true
                        }
                    ]
                },
                {
                    xtype: 'container',
                    margin: '0 0 0 300',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'gridpanel',
                            columnWidth: 0.5,
                            id: 'horarioActividadGrid',
                            padding: 20,
                            title: 'Horario',
                            columns: [
                                {
                                    xtype: 'gridcolumn',
                                    hidden: true,
                                    dataIndex: 'id',
                                    text: 'Id'
                                },
                                {
                                    xtype: 'gridcolumn',
                                    dataIndex: 'dia',
                                    text: 'Dia',
                                    flex: 1
                                },
                                {
                                    xtype: 'gridcolumn',
                                    dataIndex: 'hora',
                                    text: 'Hora'
                                }
                            ]
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn14',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ],
            errorReader: Ext.create('Ext.data.reader.Json', {
                root: 'errors'
            }),
            reader: Ext.create('Ext.data.reader.Json', {
                model: 'arcyd.model.Actividad',
                root: 'data'
            })
        });

        me.callParent(arguments);
    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/inscripciones.jsp';
    }

});