Ext.define('arcyd.view.field.SaveButtons', {
    extend: 'Ext.container.Container',
    alias: 'widget.saveButtons',

    height: 28,
    layout: {
        align: 'stretch',
        pack: 'center',
        type: 'hbox'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'button',
                    id: 'genericSaveBtn',
                    style: 'margin-top: 5px',
                    enableToggle: true,
                    text: 'Salvar',
                    listeners: {
                        toggle: {
                            fn: me.onGenericSaveBtnToggle,
                            scope: me
                        }
                    }
                },
                {
                    xtype: 'button',
                    id: 'genericCancelBtn',
                    style: 'margin-top: 5px; margin-left: 5px;',
                    enableToggle: true,
                    text: 'Cancelar',
                    listeners: {
                        toggle: {
                            fn: me.onGenericCancelBtnToggle1,
                            scope: me
                        }
                    }
                }
            ]
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle: function(button, pressed, eOpts) {

        var pistaSelectableForm = Ext.getCmp('pistaSelectableForm');


        Ext.getCmp('pistaSelectableForm').getForm().submit({
            url:'/arcyd/reservaPista/create.action',
            method: 'POST',
            //params: {'idHorarioActividad': idHorarioActividad},
            enctype : 'multipart/form-data; charset=utf-8',
            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },
            success: function(form,action) {

                var jsonData = Ext.JSON.decode(action.response.responseText);
                var nombrePista = jsonData.data.pista.nombre;

                Ext.Msg.alert('Reserva Pista creada', "Reserva Pista: "+nombrePista+"generada correctamente.");
                window.location = '/arcyd/inscripciones.jsp';

            },

            failure: function(form,action){

                Ext.Msg.alert('Error en la inscripcin',action.result.message);

            }

        });

    },

    onGenericCancelBtnToggle1: function(button, pressed, eOpts) {
        window.location = '/arcyd/inscripciones.jsp';
    }

});