Ext.define('arcyd.view.horarioActividad.List', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.horarioactividadlist',

    id: 'horarioActividadesGridPanel',
    maxHeight: 359,
    padding: 10,
    bodyBorder: false,
    title: 'Horarios Actividades',
    forceFit: true,
    store: 'HorarioActividadesListStore',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'actioncolumn',
                    width: 25,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idHorarioActividad = record.get('id');




                                function processResult(opt){
                                    if(opt == 'no'){
                                        return false;
                                    }
                                    if(opt == 'yes'){
                                        Ext.Ajax.request({
                                            url: '/arcyd/horarioActividad/delete.action', 
                                            method:'GET', 
                                            params: { 'idHorarioActividad': idHorarioActividad },
                                            success: function(response)
                                            {
                                                Ext.Msg.alert('Horioa Actividad eliminad', 'El horario seleccionado ha sido eliminado');
                                                Ext.getCmp('horarioActividadesGridPanel').getStore().load();

                                            }
                                        });
                                    }
                                }
                                Ext.Msg.show({
                                    title:'Eliminar actividad',
                                    msg: '¿Seguro que desea eliminar el horario seleccionado?',
                                    buttons: Ext.Msg.YESNO,
                                    animEl: 'elId',
                                    fn: processResult,
                                    icon: Ext.MessageBox.QUESTION
                                });
                            },
                            icon: './resources/images/remove.png',
                            tooltip: 'Eliminar Actividad'
                        }
                    ]
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'id',
                    text: 'Id'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'dia',
                    text: 'Nombre',
                    flex: 1
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'hora',
                    text: 'Horario',
                    flex: 1
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'actividadnombre',
                    text: 'Actividad',
                    flex: 1
                }
            ],
            dockedItems: [
                {
                    xtype: 'pagingtoolbar',
                    dock: 'bottom',
                    displayInfo: true,
                    store: 'HorarioActividadesListStore',
                    items: [
                        {
                            xtype: 'button',
                            enableToggle: true,
                            text: 'Crear',
                            listeners: {
                                toggle: {
                                    fn: me.onButtonToggle,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onButtonToggle: function(button, pressed, eOpts) {
        window.location = '/arcyd/horarioActividadCreate.jsp';

    }

});