Ext.define('arcyd.view.horarioActividad.create', {
    extend: 'Ext.form.Panel',
    alias: 'widget.horarioactividadcreate',

    id: 'horarioActividadCreateForm',
    padding: 10,
    autoScroll: true,
    bodyPadding: 10,
    title: 'Crear Horario Actividad',
    url: '/arcyd/horarioActividad/create.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/horarioActividad/create.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            id: 'actividadCreateHorarioListCombo',
                            fieldLabel: 'Actividad',
                            name: 'actividadId',
                            allowBlank: false,
                            displayField: 'nombre',
                            store: 'Actividades',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'checkboxgroup',
                            columnWidth: 1,
                            allowBlank: false,
                            id: 'diaSemanaHorarioActividadCreate',
                            fieldLabel: 'Dia',
                            items: [
                                {
                                    xtype: 'checkboxfield',
                                    name: 'dia',
                                    boxLabel: 'Lunes',
                                    inputValue: 'L'
                                },
                                {
                                    xtype: 'checkboxfield',
                                    name: 'dia',
                                    boxLabel: 'Martes',
                                    inputValue: 'M'
                                },
                                {
                                    xtype: 'checkboxfield',
                                    name: 'dia',
                                    boxLabel: 'Miércoles',
                                    inputValue: 'X'
                                },
                                {
                                    xtype: 'checkboxfield',
                                    name: 'dia',
                                    boxLabel: 'Jueves',
                                    inputValue: 'J'
                                },
                                {
                                    xtype: 'checkboxfield',
                                    name: 'dia',
                                    boxLabel: 'Viernes',
                                    inputValue: 'V'
                                },
                                {
                                    xtype: 'checkboxfield',
                                    name: 'dia',
                                    boxLabel: 'Sábado',
                                    inputValue: 'S'
                                },
                                {
                                    xtype: 'checkboxfield',
                                    name: 'dia',
                                    boxLabel: 'Domingo',
                                    inputValue: 'D'
                                }
                            ]
                        }
                    ]
                },
                {
                    xtype: 'container',
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            allowBlank: false,
                            fieldLabel: 'Horario',
                            name: 'horario',
                            regex: /^([0-9]|0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]-([0-9]|0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]$/,
                            regexText: 'Formato hh:mm-hh:mm'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn9',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Salvar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn9',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {
        var horarioActividadCreateForm  = Ext.getCmp('horarioActividadCreateForm');

        Ext.getCmp('horarioActividadCreateForm').getForm().submit({

            url:'/arcyd/horarioActividad/create.action',

            method: 'POST',

            enctype : 'multipart/form-data; charset=utf-8',

            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },

            success: function(form,action) {
                var jsonData = Ext.JSON.decode(action.response.responseText);

                Ext.Msg.alert('Horario Actividad creado', "Horario Actividad creado correctamente.");
                window.location = '/arcyd/horarioActividadManage.jsp';  
            },
            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }    
        });
    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/actividadManage.jsp';
    }

});