Ext.define('arcyd.view.noticia.Edit', {
    extend: 'Ext.window.Window',
    alias: 'widget.noticiaEdit',

    autoShow: true,
    title: 'Modificar Socio',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'form',
                    border: false,
                    padding: 5,
                    style: 'background-color: #fff;',
                    fieldDefaults: {
                        anchor: '100%',
                        labelAlign: 'left',
                        allowBlank: false,
                        combineErrors: true,
                        msgTarget: 'side'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            anchor: '100%',
                            hidden: true,
                            fieldLabel: 'Id',
                            name: 'id'
                        },
                        {
                            xtype: 'container',
                            layout: {
                                type: 'column'
                            },
                            items: [
                                {
                                    xtype: 'textfield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'Title',
                                    name: 'title'
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            layout: {
                                type: 'column'
                            },
                            items: [
                                {
                                    xtype: 'textfield',
                                    columnWidth: 1,
                                    fieldLabel: 'Descripcion',
                                    name: 'descripcion'
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            layout: {
                                type: 'column'
                            },
                            items: [
                                {
                                    xtype: 'datefield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'Fecha creación',
                                    name: 'fecha',
                                    readOnly: true
                                }
                            ]
                        }
                    ],
                    dockedItems: [
                        {
                            xtype: 'toolbar',
                            dock: 'bottom',
                            id: 'buttons1',
                            ui: 'fotter',
                            items: [
                                {
                                    xtype: 'tbfill'
                                },
                                {
                                    xtype: 'button',
                                    action: 'saveNoticia',
                                    id: 'saveNoticia',
                                    itemId: 'saveNoticia',
                                    enableToggle: true,
                                    text: 'Salvar'
                                },
                                {
                                    xtype: 'button',
                                    action: 'deleteNoticia',
                                    id: 'deleteNoticia',
                                    itemId: 'deleteNoticia',
                                    text: 'Borrar'
                                },
                                {
                                    xtype: 'button',
                                    handler: function(button, e) {
                                        this.close;
                                    },
                                    id: 'resetSocio1',
                                    itemId: 'resetSocio',
                                    text: 'Reset'
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});