Ext.define('arcyd.view.noticia.ListManage', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.noticialistmanage',

    id: 'noticiasManageGridPanel',
    maxHeight: 359,
    padding: 10,
    bodyBorder: false,
    title: 'Noticias',
    forceFit: true,
    store: 'Noticias',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'actioncolumn',
                    width: 25,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idNoticia = record.get('id');




                                function processResult(opt){
                                    if(opt == 'no'){
                                        return false;
                                    }
                                    if(opt == 'yes'){
                                        Ext.Ajax.request({
                                            url: '/arcyd/noticia/delete.action', 
                                            method:'GET', 
                                            params: { 'idNoticia': idNoticia },
                                            success: function(response)
                                            {
                                                Ext.Msg.alert('Noticia eliminada', 'La noticia seleccionada ha sido eliminada');
                                                Ext.getCmp('noticiasManageGridPanel').getStore().load();

                                            }
                                        });
                                    }
                                }
                                Ext.Msg.show({
                                    title:'Eliminar noticia',
                                    msg: '¿Seguro que desea eliminar la noticia seleccionada?',
                                    buttons: Ext.Msg.YESNO,
                                    animEl: 'elId',
                                    fn: processResult,
                                    icon: Ext.MessageBox.QUESTION
                                });
                            },
                            icon: './resources/images/remove.png',
                            tooltip: 'Eliminar Pista'
                        }
                    ]
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'id',
                    text: 'Id'
                },
                {
                    xtype: 'datecolumn',
                    renderer: Ext.util.Format.dateRenderer('Y-m-d'),
                    maxWidth: 150,
                    dataIndex: 'fecha',
                    hideable: false,
                    text: 'Fecha',
                    format: 'd/m/Y'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'titulo',
                    text: 'Título'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'descripcion',
                    text: 'Descripcion',
                    flex: 1
                },
                {
                    xtype: 'actioncolumn',
                    width: 100,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idNoticia = record.get('id');

                                window.location = '/arcyd/noticiaUpdate.jsp?idNoticia='+idNoticia;
                            },
                            icon: './resources/images/edit.png',
                            tooltip: 'Modificar Pista'
                        }
                    ]
                }
            ],
            dockedItems: [
                {
                    xtype: 'pagingtoolbar',
                    dock: 'bottom',
                    displayInfo: true,
                    store: 'Pistas',
                    items: [
                        {
                            xtype: 'button',
                            enableToggle: true,
                            text: 'Crear',
                            listeners: {
                                toggle: {
                                    fn: me.onButtonToggle,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onButtonToggle: function(button, pressed, eOpts) {
        window.location = '/arcyd/noticiaCreate.jsp';

    }

});