Ext.define('arcyd.view.noticia.create', {
    extend: 'Ext.form.Panel',
    alias: 'widget.noticiacreate',

    id: 'noticiaCreateForm',
    padding: 10,
    bodyPadding: 10,
    title: 'Crear noticia',
    url: '/arcyd/pista/create.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/pista/create.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Nombre',
                            name: 'titulo',
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripción',
                            name: 'descripcion'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn8',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Salvar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn8',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {

        var noticiaCreateForm = Ext.getCmp('noticiaCreateForm');

        Ext.getCmp('noticiaCreateForm').getForm().submit({
            url:'/arcyd/noticia/create.action',
            method: 'POST',
            enctype : 'multipart/form-data; charset=utf-8',
            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },
            success: function(form,action) {

                var jsonData = Ext.JSON.decode(action.response.responseText);
                var noticia = jsonData.data.titulo;

                Ext.Msg.alert('Noticia creada', "Noticia: "+noticia+ " creada correctamente.");
                window.location = '/arcyd/noticiaManage.jsp';

            },

            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }

        });

    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/pistaManage.jsp';
    }

});