Ext.define('arcyd.view.noticia.update', {
    extend: 'Ext.form.Panel',
    alias: 'widget.noticiaupdate',

    id: 'noticiaUpdateForm',
    padding: 10,
    bodyPadding: 10,
    title: 'Modificar pista',
    url: '/arcyd/pista/update.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/pista/update.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Id',
                            name: 'id',
                            readOnly: true,
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Título',
                            name: 'titulo',
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripción',
                            name: 'descripcion'
                        }
                        
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn6',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Salvar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn6',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ],
            errorReader: Ext.create('Ext.data.reader.Json', {
                root: 'errors'
            }),
            reader: Ext.create('Ext.data.reader.Json', {
                model: 'arcyd.model.Noticia',
                root: 'data'
            })
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {

        var noticiaUpdateForm = Ext.getCmp('noticiaUpdateForm');

        Ext.getCmp('noticiaUpdateForm').getForm().submit({
            url:'/arcyd/noticia/update.action',
            method: 'POST',
            enctype : 'multipart/form-data; charset=utf-8',
            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },
            success: function(form,action) {


                var jsonData = Ext.JSON.decode(action.response.responseText);
                var noticia = jsonData.data.titulo;

                Ext.Msg.alert('Noticia modificada', "Noticia modificada correctamente.");
                window.location = '/arcyd/noticiaManage.jsp';

            },

            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }

        });

    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/noticiaManage.jsp';
    }

});