Ext.define('arcyd.view.pista.List', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.pistalist',

    id: 'pistasGridPanel',
    maxHeight: 359,
    padding: 10,
    bodyBorder: false,
    title: 'Pistas',
    forceFit: true,
    store: 'Pistas',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'actioncolumn',
                    width: 25,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idPista = record.get('id');

                                function processResult(opt){
                                    if(opt == 'no'){
                                        return false;
                                    }
                                    if(opt == 'yes'){
                                        Ext.Ajax.request({
                                            url: '/arcyd/pista/delete.action', 
                                            method:'GET', 
                                            params: { 'idPista': idPista },
                                            success: function(response)
                                            {
                                                Ext.Msg.alert('Pista eliminada', 'La pista seleccionada ha sido eliminada');
                                                Ext.getCmp('pistasGridPanel').getStore().load();

                                            }
                                        });
                                    }
                                }
                                Ext.Msg.show({
                                    title:'Eliminar pista',
                                    msg: '¿Seguro que desea eliminar la pista seleccionada?',
                                    buttons: Ext.Msg.YESNO,
                                    animEl: 'elId',
                                    fn: processResult,
                                    icon: Ext.MessageBox.QUESTION
                                });
                            },
                            icon: './resources/images/remove.png',
                            tooltip: 'Eliminar Pista'
                        }
                    ]
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'id',
                    text: 'Id'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'nombre',
                    text: 'Nombre'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'descripcion',
                    text: 'Descripcion',
                    flex: 1
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'numPistas',
                    text: 'NumPistas'
                },
                {
                    xtype: 'actioncolumn',
                    width: 100,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idPista = record.get('id');

                                window.location = '/arcyd/pistaUpdate.jsp?idPista='+idPista;
                            },
                            icon: './resources/images/edit.png',
                            tooltip: 'Modificar Pista'
                        }
                    ]
                }
            ],
            dockedItems: [
                {
                    xtype: 'pagingtoolbar',
                    dock: 'bottom',
                    displayInfo: true,
                    store: 'Pistas',
                    items: [
                        {
                            xtype: 'button',
                            enableToggle: true,
                            text: 'Crear',
                            listeners: {
                                toggle: {
                                    fn: me.onButtonToggle,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onButtonToggle: function(button, pressed, eOpts) {
        window.location = '/arcyd/pistaCreate.jsp';

    }

});