Ext.define('arcyd.view.pista.create', {
    extend: 'Ext.form.Panel',
    alias: 'widget.pistacreate',

    id: 'pistaCreateForm',
    padding: 10,
    bodyPadding: 10,
    title: 'Crear pista',
    url: '/arcyd/pista/create.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/pista/create.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Nombre',
                            name: 'nombre',
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripción',
                            name: 'descripcion'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'numberfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Num. Pistas',
                            name: 'numPistas',
                            allowBlank: false,
                            allowDecimals: false
                        },
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            fieldLabel: 'Localizacion',
                            labelAlign: 'right',
                            name: 'localizacion',
                            allowBlank: false,
                            displayField: 'tipo',
                            store: 'Localizaciones',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn7',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Salvar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn7',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {

        var pistaCreateForm = Ext.getCmp('pistaCreateForm');
        var sendObject = pistaCreateForm.getForm().getValues(false,false,false,true);


        Ext.getCmp('pistaCreateForm').getForm().submit({
            url:'/arcyd/pista/create.action',
            method: 'POST',
            enctype : 'multipart/form-data; charset=utf-8',
            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },
            success: function(form,action) {

                var jsonData = Ext.JSON.decode(action.response.responseText);
                var pista = jsonData.data.nombre;

                Ext.Msg.alert('Pista creada', "Pista: "+pista+ " creada correctamente.");
                window.location = '/arcyd/pistaManage.jsp';

            },

            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }

        });

    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/pistaManage.jsp';
    }

});