Ext.define('arcyd.view.pista.inscripcion', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.pistainscripcion',

    requires: [
        'arcyd.view.pista.selectable'
    ],

    id: 'pistaInscripcionPanel',
    padding: 10,
    autoScroll: true,
    layout: {
        type: 'column'
    },
    bodyPadding: 10,

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    columnWidth: 1,
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'label',
                            columnWidth: 1,
                            text: 'Seleccione una pista para obtener su información. Si desea solicitar la reserva de la misma,  seleccione la fecha y la hora y haga click en el botón reservar.'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    columnWidth: 1,
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            id: 'pistaListCombo',
                            fieldLabel: 'Pista',
                            name: 'actividadListCombo',
                            displayField: 'nombre',
                            store: 'Pistas',
                            valueField: 'id',
                            listeners: {
                                select: {
                                    fn: me.onPistaListComboSelect,
                                    scope: me
                                }
                            }
                        }
                    ]
                },
                {
                    xtype: 'container',
                    columnWidth: 1,
                    padding: 10,
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'pistaSelectable',
                            columnWidth: 1
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onPistaListComboSelect: function(combo, records, eOpts) {
        var idPista = combo.getValue();
        var pistaSelectableForm = Ext.getCmp('pistaSelectableForm');

        var reservasPistasViewGrid = Ext.getCmp('reservasPistasViewGrid');
        var reservaPistasStore = Ext.create('arcyd.store.ReservaPistas');
        reservaPistasStore.proxy.extraParams.nombre = idPista;
        
        var fechaReservaPista = Ext.getCmp('fechaReservaPista');
        if(fechaReservaPista!=null && fechaReservaPista!=''&&fechaReservaPista!=undefined){
        	//console.log(fechaReservaPista.getValue());
        	var dateReserva = '';
        	if(fechaReservaPista.getValue()!=null && fechaReservaPista.getValue()!=''){
        		dateReserva = fechaReservaPista.getValue();
	        	var curr_date = dateReserva.getDate();
	            var curr_month = dateReserva.getMonth() + 1; //Months are zero based
	            var curr_year = dateReserva.getFullYear();
	            var newDate =curr_date + "/" + curr_month + "/" + curr_year;
	            reservaPistasStore.proxy.extraParams.datePista = newDate;
        	}
        }
        
        if(idPista !=null){

            pistaSelectableForm.getForm().load({


                method:'GET',

                waitMsg:'Loading',

                url:'/arcyd/pista/getById.action',

                headers: {  "Accept": "application/json" },

                params: {

                    'idPista': idPista

                },

                success: function(f, a){

                    var jsonValues = Ext.JSON.decode(a.response.responseText);

                    pistaSelectableForm.getForm().setValues(jsonValues);

                    var tipoLocalizacion = jsonValues.data.localizacion.tipo;

                    Ext.getCmp('descripcionGeneralSelectablePista').setValue('La pista se encuentra en: ' +tipoLocalizacion  );
                    reservasPistasViewGrid.getView().bindStore(reservaPistasStore);
                    reservasPistasViewGrid.view.store.load();


                }    				

            });
        }else{

            pistaSelectableForm.getForm().reset();
        }
    }

});