Ext.define('arcyd.view.pista.reservaFilter', {
    extend: 'Ext.form.Panel',
    alias: 'widget.pistareservafilter',

    id: 'pistaFilterForm',
    autoScroll: true,
    bodyPadding: 10,
    collapsed: false,
    collapsible: true,
    title: 'Filtro',
    url: '/arcyd/pista/view.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/pista/view.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Id reserva',
                            name: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            fieldLabel: 'Pista',
                            name: 'nombre',
                            displayField: 'nombre',
                            store: 'Pistas',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Num usuario',
                            name: 'usuarionumSocio'
                        },
                        {
                            xtype: 'combobox',
                            columnWidth: 0.5,
                            fieldLabel: 'Estado reserva',
                            labelAlign: 'right',
                            name: 'estadoreserva',
                            displayField: 'estado',
                            store: 'EstadosReserva',
                            valueField: 'id'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn14',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Buscar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn16',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {
        var actividadFilterForm = Ext.getCmp('pistaFilterForm');

        var queryStr = actividadFilterForm.getForm().getValues(false,false,false,true);
        //console.log(queryStr);

        var pistareservasAdmin = Ext.getCmp('pistareservasAdmin');

        queryStr.request='prepare';

        pistareservasAdmin.getStore().getProxy().extraParams = queryStr;

        try{
            pistareservasAdmin.getStore().load();

        }
        catch(err){

            alert(err);    
            pistareservasAdmin.getStore().load({params:{ request:'prepare' }} );

        }
    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        var pistaFilterForm = Ext.getCmp('pistaFilterForm');

        pistaFilterForm.getForm().reset();
    }

});