Ext.define('arcyd.view.pista.reservas', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.pistareservas',

    id: 'pistareservas',
    maxHeight: 359,
    padding: 10,
    title: 'Reserva Pista',
    forceFit: true,
    store: 'ReservaPistas',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'id',
                    text: 'Id'
                },
                {
                    xtype: 'datecolumn',
                    renderer: Ext.util.Format.dateRenderer('Y-m-d'),
                    dataIndex: 'fechaReserva',
                    text: 'FechaReserva',
                    format: 'd/m/Y'
                },
                {
                    xtype: 'gridcolumn',
                    defaultWidth: 150,
                    dataIndex: 'horaReserva',
                    text: 'HoraReserva'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    defaultWidth: 150,
                    dataIndex: 'pistaid',
                    hideable: false,
                    text: 'Pista '
                },
                {
                    xtype: 'gridcolumn',
                    defaultWidth: 150,
                    dataIndex: 'pistanombre',
                    text: 'Pista '
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    defaultWidth: 150,
                    dataIndex: 'usuarioid',
                    hideable: false,
                    text: 'UsuarioId'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    defaultWidth: 150,
                    dataIndex: 'usuarionumsocio',
                    hideable: false,
                    text: 'UsuarioPerfil'
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    defaultWidth: 150,
                    dataIndex: 'estadoreservaid',
                    text: 'EstadoId'
                },
                {
                    xtype: 'gridcolumn',
                    defaultWidth: 150,
                    dataIndex: 'estadoreservaestado',
                    text: 'Estado'
                },
                {
                    xtype: 'actioncolumn',
                    width: 100,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var rec = view.getStore().getAt(rowIndex);
                                var EST_RESERVA_CANCELADA = 3;
                                if(rec.data.estadoreservaid != EST_RESERVA_CANCELADA){
                                    var fechaReserva = rec.data.fechaReserva;
                                    var sysdate = new Date();
                                    if (fechaReserva <= sysdate){
                                        Ext.MessageBox.alert('Imposible cancelar', 'Imposible cancelar la reserva de pista, la fecha de reserva es inferior a hoy', function()
                                        {
                                            return false;
                                        });
                                    }else{
                                        Ext.Ajax.request({
                                            url: '/arcyd/reservaPista/cancelar.action', 
                                            method:'GET', 
                                            params: { 'idReserva': rec.data.id },
                                            success: function(response)
                                            {
                                                Ext.Msg.alert('Reserva pista cancelada', 'La reserva de pista ha sido cancelada');
                                                Ext.getCmp('pistareservas').getStore().load();

                                            }
                                        });



                                    }
                                }else{
                                    Ext.Msg.alert('Cancelada', 'La solicitud ya se encuentra en estado cancelada. ');
                                }
                            },
                            getClass: function(v, metadata, r, rowIndex, colIndex, store) {
                                return 'x-action-col-icon';
                            },
                            icon: './resources/images/delete.png',
                            iconCls: '',
                            tooltip: 'Cancelar Reserva'
                        },
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idPista = record.get('pistaid');

                                window.location = '/arcyd/pistaView.jsp?idPista='+idPista;


                            },
                            getClass: function(v, metadata, r, rowIndex, colIndex, store) {
                                return 'x-action-col-icon';
                            },
                            icon: './resources/images/view-icon.png',
                            iconCls: '',
                            tooltip: 'Ver pista'
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});