Ext.define('arcyd.view.pista.view', {
    extend: 'Ext.form.Panel',
    alias: 'widget.pistadescripcion',

    id: 'pistaViewForm',
    padding: 10,
    autoScroll: true,
    bodyPadding: 10,
    title: 'Pista',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'displayfield',
                    cls: 'descriptionTitle',
                    hideLabel: true,
                    name: 'nombre',
                    fieldStyle: 'font-size:22px;text-align:center;width:70px; color:darkblue; font-weight:bold; font-style:italic'
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            fieldLabel: 'Descripcion',
                            name: 'descripcion',
                            readOnly: true
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textareafield',
                            columnWidth: 1,
                            id: 'descripcionGeneralPista',
                            fieldLabel: 'General',
                            readOnly: true
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn13',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ],
            errorReader: Ext.create('Ext.data.reader.Json', {
                root: 'errors'
            }),
            reader: Ext.create('Ext.data.reader.Json', {
                model: 'arcyd.model.Pista',
                root: 'data'
            })
        });

        me.callParent(arguments);
    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/inscripciones.jsp';
    }

});