Ext.define('arcyd.view.usuario.Edit', {
    extend: 'Ext.window.Window',
    alias: 'widget.usuarioedit',

    autoShow: true,
    title: 'Modificar Usuario',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'form',
                    border: false,
                    padding: 5,
                    style: 'background-color: #fff;',
                    fieldDefaults: {
                        anchor: '100%',
                        labelAlign: 'left',
                        allowBlank: false,
                        combineErrors: true,
                        msgTarget: 'side'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            anchor: '100%',
                            hidden: true,
                            fieldLabel: 'Id',
                            name: 'id'
                        },
                        {
                            xtype: 'container',
                            layout: {
                                type: 'column'
                            },
                            items: [
                                {
                                    xtype: 'textfield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'Num. Socio',
                                    name: 'numSocio'
                                },
                                {
                                    xtype: 'textfield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'D.N.I',
                                    labelAlign: 'right',
                                    name: 'dni'
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            layout: {
                                type: 'column'
                            },
                            items: [
                                {
                                    xtype: 'textfield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'Nombre',
                                    name: 'nombre'
                                },
                                {
                                    xtype: 'textfield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'Apellido',
                                    labelAlign: 'right',
                                    name: 'apellido'
                                }
                            ]
                        },
                        {
                            xtype: 'textfield',
                            fieldLabel: 'Direccion',
                            name: 'direccion'
                        },
                        {
                            xtype: 'container',
                            layout: {
                                type: 'column'
                            },
                            items: [
                                {
                                    xtype: 'textfield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'Telefono',
                                    name: 'telefono'
                                },
                                {
                                    xtype: 'textfield',
                                    columnWidth: 0.5,
                                    fieldLabel: 'Email',
                                    labelAlign: 'right',
                                    name: 'email'
                                }
                            ]
                        }
                    ],
                    dockedItems: [
                        {
                            xtype: 'toolbar',
                            dock: 'bottom',
                            id: 'buttons',
                            ui: 'fotter',
                            items: [
                                {
                                    xtype: 'tbfill'
                                },
                                {
                                    xtype: 'button',
                                    action: 'saveSocio',
                                    id: 'saveSocio',
                                    itemId: 'saveSocio',
                                    text: 'Salvar'
                                },
                                {
                                    xtype: 'button',
                                    handler: function(button, e) {
                                        this.close;
                                    },
                                    id: 'resetSocio',
                                    itemId: 'resetSocio',
                                    text: 'Reset'
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});