Ext.define('arcyd.view.usuario.List', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.usuarioList',

    id: 'usuariosGridPanel',
    maxHeight: 359,
    padding: 10,
    title: 'Usuarios',
    forceFit: true,
    store: 'Usuarios',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            viewConfig: {
                autoScroll: true
            },
            columns: [
                {
                    xtype: 'actioncolumn',
                    width: 25,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idUsuario = record.get('id');




                                function processResult(opt){
                                    if(opt == 'no'){
                                        return false;
                                    }
                                    if(opt == 'yes'){
                                        Ext.Ajax.request({
                                            url: '/arcyd/usuario/delete.action', 
                                            method:'GET', 
                                            params: { 'idUsuario': idUsuario },
                                            success: function(response)
                                            {
                                                Ext.Msg.alert('Usuario eliminado', 'El usuario seleccionado ha sido eliminado');
                                                Ext.getCmp('usuariosGridPanel').getStore().load();

                                            }
                                        });
                                    }
                                }
                                Ext.Msg.show({
                                    title:'Eliminar usuario',
                                    msg: '¿Seguro que desea eliminar el usuario seleccionado?',
                                    buttons: Ext.Msg.YESNO,
                                    animEl: 'elId',
                                    fn: processResult,
                                    icon: Ext.MessageBox.QUESTION
                                });
                            },
                            icon: './resources/images/remove.png',
                            tooltip: 'Eliminar Usuario'
                        }
                    ]
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'id',
                    text: 'Id'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'numSocio',
                    text: 'NumSocio'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'dni',
                    text: 'Dni'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'nombre',
                    text: 'Nombre'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'apellido',
                    text: 'Apellido'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'direccion',
                    text: 'Direccion'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'telefono',
                    text: 'Telefono'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'email',
                    text: 'Email'
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'password',
                    text: 'Password'
                },
                {
                    xtype: 'gridcolumn',
                    renderer: function(value, metaData, record, rowIndex, colIndex, store, view) {
                        if(value == 'ROLE_USER') return 'Usuario';
                        else return 'Administrador';
                    },
                    dataIndex: 'perfil',
                    text: 'perfil'
                },
                {
                    xtype: 'actioncolumn',
                    padding: 5,
                    width: 100,
                    tdCls: 'pointer',
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idUsuario = record.get('id');

                                window.location = '/arcyd/usuarioUpdate.jsp?idUsuario='+idUsuario;
                            },
                            getClass: function(v, metadata, r, rowIndex, colIndex, store) {
                                return 'x-action-col-icon';
                            },
                            icon: './resources/images/edit.png',
                            tooltip: 'Modificar Usuario'
                        },
                        {
                            handler: function(view, rowIndex, colIndex, item, e) {
                                var record = view.store.getAt(rowIndex);

                                var idUsuario = record.get('id');

                                window.location = '/arcyd/usuarioCopy.jsp?idUsuario='+idUsuario;
                            },
                            getClass: function(v, metadata, r, rowIndex, colIndex, store) {
                                return 'x-action-col-icon';
                            },
                            icon: './resources/images/copy.png',
                            tooltip: 'Usar como plantilla'
                        }
                    ]
                }
            ],
            dockedItems: [
                {
                    xtype: 'pagingtoolbar',
                    dock: 'bottom',
                    displayInfo: true,
                    store: 'Usuarios',
                    items: [
                        {
                            xtype: 'button',
                            enableToggle: true,
                            text: 'Crear',
                            listeners: {
                                toggle: {
                                    fn: me.onButtonToggle1,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    onButtonToggle1: function(button, pressed, eOpts) {
        window.location = '/arcyd/usuarioCreate.jsp';

    }

});