Ext.define('arcyd.view.usuario.copy', {
    extend: 'Ext.form.Panel',
    alias: 'widget.usuariocopy',

    id: 'usuarioCopyForm',
    padding: 10,
    bodyPadding: 10,
    title: 'Crear usuario a partir de plantilla',
    url: '/arcyd/usuario/create.action',

    initComponent: function() {
        var me = this;

        me.initialConfig = Ext.apply({
            url: '/arcyd/usuario/create.action'
        }, me.initialConfig);

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Num. socio',
                            name: 'numSocio',
                            allowBlank: false
                        },
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Dni',
                            labelAlign: 'right',
                            name: 'dni',
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Nombre',
                            name: 'nombre',
                            allowBlank: false,
                            maxLength: 45
                        },
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Apellidos',
                            labelAlign: 'right',
                            name: 'apellido',
                            allowBlank: false
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 1,
                            fieldLabel: 'Dirección',
                            name: 'direccion'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Teléfono',
                            name: 'telefono',
                            allowBlank: false
                        },
                        {
                            xtype: 'textfield',
                            columnWidth: 0.5,
                            fieldLabel: 'Email',
                            labelAlign: 'right',
                            name: 'email',
                            allowBlank: false,
                            vtype: 'email'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'radiogroup',
                            width: 400,
                            fieldLabel: 'Perfil',
                            items: [
                                {
                                    xtype: 'radiofield',
                                    name: 'perfil',
                                    boxLabel: 'Usuario',
                                    checked: true,
                                    inputValue: 'ROLE_USER'
                                },
                                {
                                    xtype: 'radiofield',
                                    name: 'perfil',
                                    boxLabel: 'Administrador',
                                    inputValue: 'ROLE_ADMIN'
                                }
                            ]
                        }
                    ]
                },
                {
                    xtype: 'container',
                    layout: {
                        type: 'column'
                    },
                    items: [
                        {
                            xtype: 'textfield',
                            columnWidth: 1,
                            fieldLabel: 'Contraseña',
                            name: 'password'
                        }
                    ]
                },
                {
                    xtype: 'container',
                    height: 28,
                    layout: {
                        align: 'stretch',
                        pack: 'center',
                        type: 'hbox'
                    },
                    items: [
                        {
                            xtype: 'button',
                            id: 'genericSaveBtn2',
                            style: 'margin-top: 5px',
                            enableToggle: true,
                            text: 'Salvar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericSaveBtnToggle1,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'button',
                            id: 'genericCancelBtn2',
                            style: 'margin-top: 5px; margin-left: 5px;',
                            enableToggle: true,
                            text: 'Cancelar',
                            listeners: {
                                toggle: {
                                    fn: me.onGenericCancelBtnToggle11,
                                    scope: me
                                }
                            }
                        }
                    ]
                }
            ],
            errorReader: Ext.create('Ext.data.reader.Json', {
                root: 'errors'
            }),
            reader: Ext.create('Ext.data.reader.Json', {
                model: 'arcyd.model.Usuario',
                root: 'data'
            })
        });

        me.callParent(arguments);
    },

    onGenericSaveBtnToggle1: function(button, pressed, eOpts) {

        var usuarioCopyForm = Ext.getCmp('usuarioCopyForm');

        Ext.getCmp('usuarioCopyForm').getForm().submit({
            url:'/arcyd/usuario/create.action',
            method: 'POST',
            enctype : 'multipart/form-data; charset=utf-8',
            headers: {  'Accept': 'application/json', 'content-type': 'application/x-www-form-urlencoded;charset=UTF-8' },
            success: function(form,action) {


                var jsonData = Ext.JSON.decode(action.response.responseText);
                var usuario = jsonData.data.nombre+' '+jsonData.data.apellido;

                Ext.Msg.alert('Usuario modificado', "Usuario: "+usuario+ " creatdo correctamente.");
                window.location = '/arcyd/usuarioManage.jsp';

            },

            failure: function(form,action){

            	Ext.Msg.alert("Error",action.response.responseText);

            }

        });

    },

    onGenericCancelBtnToggle11: function(button, pressed, eOpts) {
        window.location = '/arcyd/usuarioManage.jsp';
    }

});